#!/usr/bin/env python

import sys
from qt import *

program = 'test'
company = 'whatever'

path = "/%s" % (program)
if len(sys.argv) == 1:
    print "call as './test test' to see it working..."
if len(sys.argv) >= 2 and sys.argv[1]:
    path = sys.argv[1]

qs = QSettings()
qs.insertSearchPath(QSettings.Windows, "/%s" % company)
qs.writeEntry("%s/value" % path, "ok")
if path[0] != '/':
    qs.writeEntry("%s/subkey/value" % path, "ok")
else:
    qs.writeEntry("%s/subkey/value" % path, "not ok")

print "list entries:", path
for k in qs.entryList(path):
    print "%s: %s" % (k, qs.readEntry("%s/%s" % (path, k))[0])

print "list subkeys:", path
skl = qs.subkeyList("%s" % path)
if not skl:
    print "BUG: no subkeys 8("
else:
    for k in qs.subkeyList("%s" % path):
        for sk in qs.entryList("%s/%s" % (path, k)):
                print "%s/%s: %s" % (k, sk, qs.readEntry("%s/%s/%s" % (path, k, sk))[0])

